/**
 * Vector modern stylesheets
 * See '../common/common.less' for common screen and print Vector stylesheets.
 */
@import './variables.less';
@import './mixins.less';
@import './CSSCustomProperties.less';

@media screen {
	.vector-feature-zebra-design-disabled {
		// Layouts
		@import './layouts/screen.less';
		@import './layouts/preZebra.less';
		@import './layouts/grid.less';
		@import './layouts/toc/pinned.less';
		@import './layouts/toc/unpinned.less';
		// Components
		@import './components/Dropdown.less';
		@import './components/MainMenu.less';
		@import './components/PinnableElement.less';
		@import './components/PinnableHeader.less';
		@import './components/PageTools.less';
		@import './components/StickyHeader.less';
		@import './components/TableOfContents.less';
	}
}

@media screen {
	// Common styles
	@import './normalize.less';
	@import './typography.less';

	// Components
	@import './components/Button.less';
	@import './components/LanguageDropdown.less';
	@import './components/UserLinks.less';
	@import './components/Header.less';
	@import './components/Icon.less';
	@import './components/Indicators.less';
	@import './components/Footer.less';
	@import './components/Menu.less';
	@import './components/MenuTabs.less';
	@import './components/PageTitlebar.less';
	@import './components/PageToolbar.less';
	@import './components/PopupNotification.less';
	@import './components/SearchBox.less';
	@import './components/SiteNotice.less';
	@import './components/Watchstar.less';
	@import './components/BottomDock.less';
}

@media all {
	// Component styles that should apply in all media.
	@import './components/Logo.less';
}

@media print {
	@import './print.less';
	@import './layouts/print.less';
}
